<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="GradingAssignmentScoreType">
    <xs:sequence>
      <xs:element name="StudentPersonalRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="StudentPersonalLocalId" type="LocalIdType" />
      <xs:element name="TeachingGroupRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="SchoolInfoRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="GradingAssignmentRefId" type="IdRefType" />
      <xs:element name="StaffPersonalRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="DateGraded" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="ExpectedScore" minOccurs="0" nillable="true" type="xs:boolean" />
      <xs:element name="ScorePoints" minOccurs="0" nillable="true" type="xs:unsignedInt" />
      <xs:element name="ScorePercent" minOccurs="0" nillable="true" type="xs:decimal" />
      <xs:element name="ScoreLetter" minOccurs="0" nillable="true" type="xs:token" />
      <xs:element name="ScoreDescription" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="SubscoreList" minOccurs="0" nillable="true" type="NAPSubscoreListType" />
      <xs:element name="TeacherJudgement" minOccurs="0" nillable="true" type="xs:string" />
      <xs:element name="MarkInfoRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="AssignmentScoreIteration" minOccurs="0" nillable="true" type="xs:token" />
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="GradingAssignmentScore" type="GradingAssignmentScoreType">
    <xs:key name="GradingAssignmentScoreKey1">
      <xs:selector xpath="./GradingAssignmentScore" />
      <xs:field xpath="@RefId" />
    </xs:key>
  </xs:element>

  <xs:complexType name="GradingAssignmentScoreCollectionType">
    <xs:sequence>
      <xs:element name="GradingAssignmentScore" type="GradingAssignmentScoreType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="GradingAssignmentScores" type="GradingAssignmentScoreCollectionType" />

</xs:schema>